UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMMonitorSource Class Reference

LBM Monitor Source class. More...

Inheritance diagram for com.latencybusters.lbm.LBMMonitorSource:

## Public Member Functions
| LBMMonitorSource (int formatter, string formatOpts, int transport, string transportOpts)
| Create an LBM Monitoring Source Controller. This creates an instance of an LBM Monitoring Source Controller. More...
void | close ()
| Close and dispose of this monitor source.
void | start (LBMContext lbmctx, String appSourceId, int secs)
| Register a context for monitoring. More...
void | start (LBMReceiver lbmrcv, String appSourceId, int secs)
| Register a receiver for monitoring. More...
void | start (LBMHFXReceiver lbmrcv, String appSourceId, int secs)
| Register a HFX receiver for monitoring. More...
void | start (LBMSource lbmsrc, String appSourceId, int secs)
| Register a source for monitoring. More...
void | start (LBMEventQueue lbmevq, String appSourceId, int secs)
| Register an event queue for monitoring. More...
void | stop (LBMContext lbmctx)
| Terminate monitoring for a context. More...
void | stop (LBMReceiver lbmrcv)
| Terminate monitoring for a receiver. More...
void | stop (LBMSource lbmsrc)
| Terminate monitoring for a source. More...
void | stop (LBMEventQueue lbmevq)
| Terminate monitoring for an event queue. More...
void | sample ()
| Gather statistics for on-demand objects. More...
void | Dispose ()
| Same as close. More...

## Detailed Description

LBM Monitor Source class.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMMonitorSource.LBMMonitorSource | ( | int | formatter,
|  | string | formatOpts,
|  | int | transport,
|  | string | transportOpts
| ) |  |

Create an LBM Monitoring Source Controller. This creates an instance of an LBM Monitoring Source Controller.

Parameters

  formatter | Format module type
  formatOpts | A block of data which is passed to the format module's initialization function. This may be used to pass configuration options to the format module.
  transport | Transport module type
  transportOpts | A block of data which is passed to the transport module's initialization function. This may be used to pass configuration options to the transport module.

Exceptions

  com.latencybusters.lbm.LBMEInvalException | Unsupported format type
  com.latencybusters.lbm.LBMEInvalException | Unsupported transport type
  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.EINVAL, com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

## Member Function Documentation

void com.latencybusters.lbm.LBMMonitorSource.Dispose | ( |  | ) |

Same as close.

See also
  close

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

void com.latencybusters.lbm.LBMMonitorSource.sample | ( |  | ) |

Gather statistics for on-demand objects.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

void com.latencybusters.lbm.LBMMonitorSource.start | ( | LBMContext | lbmctx,
|  | String | appSourceId,
|  | int | secs
| ) |  |

Register a context for monitoring.

Monitoring may be done at regular intervals, specified by the secs parameter. As an alternative, passing zero for secs will not automatically monitor the context, but instead require an explicit call to the sample() method.

If monitoring is to be used as a form of heartbeat, the preferred method is to call the sample() method from a context thread or event queue timer callback. This ensures that the object actually processing the messages is the one generating the monitoring statistics, guaranteeing that it is truly acting as a heartbeat mechanism.

Parameters

  lbmctx | LBMContext to be monitored
  appSourceId | String containing an application-specified source identifier. If null or an empty string is passed, the application name will be used.
  secs | Interval (in seconds) at which monitoring information will be gathered and sent. If zero, the context will not be automatically monitored, but instead will be monitored upon a call to the sample() method.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

void com.latencybusters.lbm.LBMMonitorSource.start | ( | LBMReceiver | lbmrcv,
|  | String | appSourceId,
|  | int | secs
| ) |  |

Register a receiver for monitoring.

Monitoring may be done at regular intervals, specified by the secs parameter. As an alternative, passing zero for secs will not automatically monitor the context, but instead require an explicit call to the sample() method.

If monitoring is to be used as a form of heartbeat, the preferred method is to call the sample() method from a context thread or event queue timer callback. This ensures that the object actually processing the messages is the one generating the monitoring statistics, guaranteeing that it is truly acting as a heartbeat mechanism.

Parameters

  lbmrcv | LBMReceiver to be monitored
  appSourceId | String containing an application-specified source identifier. If null or an empty string is passed, the application name will be used.
  secs | Interval (in seconds) at which monitoring information will be gathered and sent. If zero, the receiver will not be automatically monitored, but instead will be monitored upon a call to the sample() method.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

void com.latencybusters.lbm.LBMMonitorSource.start | ( | LBMHFXReceiver | lbmrcv,
|  | String | appSourceId,
|  | int | secs
| ) |  |

Register a HFX receiver for monitoring.

Monitoring may be done at regular intervals, specified by the secs parameter. As an alternative, passing zero for secs will not automatically monitor the context, but instead require an explicit call to the sample() method.

If monitoring is to be used as a form of heartbeat, the preferred method is to call the sample() method from a context thread or event queue timer callback. This ensures that the object actually processing the messages is the one generating the monitoring statistics, guaranteeing that it is truly acting as a heartbeat mechanism.

Parameters

  lbmrcv | LBMHFXReceiver to be monitored
  appSourceId | String containing an application-specified source identifier. If null or an empty string is passed, the application name will be used.
  secs | Interval (in seconds) at which monitoring information will be gathered and sent. If zero, the receiver will not be automatically monitored, but instead will be monitored upon a call to the sample() method.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

void com.latencybusters.lbm.LBMMonitorSource.start | ( | LBMSource | lbmsrc,
|  | String | appSourceId,
|  | int | secs
| ) |  |

Register a source for monitoring.

Monitoring may be done at regular intervals, specified by the secs parameter. As an alternative, passing zero for secs will not automatically monitor the source, but instead require an explicit call to the sample() method.

If monitoring is to be used as a form of heartbeat, the preferred method is to call the sample() method from a context thread or event queue timer callback. This ensures that the object actually processing the messages is the one generating the monitoring statistics, guaranteeing that it is truly acting as a heartbeat mechanism.

Parameters

  lbmsrc | LBMSource to be monitored
  appSourceId | String containing an application-specified source identifier. If null or an empty string is passed, the application name will be used.
  secs | Interval (in seconds) at which monitoring information will be gathered and sent. If zero, the source will not be automatically monitored, but instead will be monitored upon a call to the sample() method.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

void com.latencybusters.lbm.LBMMonitorSource.start | ( | LBMEventQueue | lbmevq,
|  | String | appSourceId,
|  | int | secs
| ) |  |

Register an event queue for monitoring.

Monitoring may be done at regular intervals, specified by the secs parameter. As an alternative, passing zero for secs will not automatically monitor the event queue, but instead require an explicit call to the sample() method.

If monitoring is to be used as a form of heartbeat, the preferred method is to call the sample() method from a context thread or event queue timer callback. This ensures that the object actually processing the messages is the one generating the monitoring statistics, guaranteeing that it is truly acting as a heartbeat mechanism.

Parameters

  lbmevq | LBMEventQueue to be monitored
  appSourceId | String containing an application-specified source identifier. If null or an empty string is passed, the application name will be used.
  secs | Interval (in seconds) at which monitoring information will be gathered and sent. If zero, the event queue will not be automatically monitored, but instead will be monitored upon a call to the sample() method.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

void com.latencybusters.lbm.LBMMonitorSource.stop | ( | LBMContext | lbmctx | ) |

Terminate monitoring for a context.

Unregister a context to prevent further monitoring of that context.

Parameters

  lbmctx | Previously registered LBMContext

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

void com.latencybusters.lbm.LBMMonitorSource.stop | ( | LBMReceiver | lbmrcv | ) |

Terminate monitoring for a receiver.

Unregister a receiver to prevent further monitoring of that receiver.

Parameters

  lbmrcv | Previously registered LBMReceiver

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

void com.latencybusters.lbm.LBMMonitorSource.stop | ( | LBMSource | lbmsrc | ) |

Terminate monitoring for a source.

Unregister a source to prevent further monitoring of that source.

Parameters

  lbmsrc | Previously registered LBMSource

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

void com.latencybusters.lbm.LBMMonitorSource.stop | ( | LBMEventQueue | lbmevq | ) |

Terminate monitoring for an event queue.

Unregister an event queue to prevent further monitoring of that source.

Parameters

  lbmevq | Previously registered LBMEventQueue

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBMMonitor.errorMessage(), and com.latencybusters.lbm.LBMMonitor.errorNumber().

The documentation for this class was generated from the following file:

- LBMMonitorSource.cs